import { List, Dictionary, ListIterator, ObjectIterator } from 'underscore';
export interface Reverse {
    <T>(array: List<T>): List<T>;
}
export interface EachRight {
    <T>(collection: List<T>, iteratee: ListIterator<T, void>): List<T>;
    <T>(collection: Dictionary<T>, iteratee: ObjectIterator<T, void>): Dictionary<T>;
}
export declare const reverse: Reverse;
export declare const eachRight: EachRight;
