/// <reference types="jquery" />
import { View } from 'backbone';
export default class CollectionView<SubView extends View = View> extends View {
    items: SubView[];
    container: string;
    _container: JQuery<Element>;
    subview: {
        new (options?: any): SubView;
    };
    initCollectionEvents(): this;
    render(): this;
    beforeRender(): this;
    renderContainer(): this;
    afterRender(): this;
    remove(): this;
    makeItem(model?: any): SubView;
    initItems(): this;
    clearItems(): this;
    insertItem(model: any, collection?: any, options?: any): this;
    removeItem(model: any, collection: any, options: any): this;
    sortItems(): this;
    detachItems(): this;
    placeItems(): this;
    resetItems(): this;
}
