(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./composite-view", "./collection-view"], factory);
    }
})(function (require, exports) {
    "use strict";
    exports.__esModule = true;
    var composite_view_1 = require("./composite-view");
    exports.CompositeView = composite_view_1["default"];
    var collection_view_1 = require("./collection-view");
    exports.CollectionView = collection_view_1["default"];
});

//# sourceMappingURL=index.js.map
